/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 28/07/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.Setter;



@Getter
@Setter
public class KalenderDto 
{
    @NotNull(message = "kalenderdto.tanggal.notnull")
    Long tanggal;
    
    @NotNull(message = "kalenderdto.tanggal.notnull")
    Boolean statusEnabled;
   
    @NotNull(message = "kalenderdto.namahari.notnull")
    @Size(max = 100, message = "kalenderdto.namahari.size")
    String namaHari;
    
    @NotNull(message = "kalenderdto.namabulan.notnull")
    @Size(max = 100, message = "kalenderdto.namabulan.size")
    String namaBulan;
    
    @NotNull(message = "kalenderdto.harikedlmminggu.notnull")
    Integer hariKeDlmMinggu;
    
    @NotNull(message = "kalenderdto.harikedlmbulan.notnull")
    Integer hariKeDlmBulan;
    
    @NotNull(message = "kalenderdto.harikedlmtahun.notnull")
    Integer hariKeDlmTahun;
    
    @NotNull(message = "kalenderdto.minggukedlmtahun.notnull")
    Integer mingguKeDlmTahun;
    
    @NotNull(message = "kalenderdto.bulankedlmtahun.notnull")
    Integer bulanKeDlmTahun;
    
    @NotNull(message = "kalenderdto.tahunkalender.notnull")
    Integer tahunKalender;
    
    Integer tahunFiscal;
    
    @Size(max = 100, message = "kalenderdto.bulanfiscal.size")
    String bulanFiscal;
    
    Integer triwulanKeDlmTahun;
    
    Integer semesterKeDlmTahun;
    

}
